/*!
 * VERSION: 1.15.3
 * DATE: 2015-12-22
 * UPDATES AND DOCS AT: http://greensock.com
 *
 * @license Copyright (c) 2008-2016, GreenSock. All rights reserved.
 * This work is subject to the terms at http://greensock.com/standard-license or for
 * Club GreenSock members, the software agreement that was issued with your membership.
 * 
 * @author: Jack Doyle, jack@greensock.com
 **/
var _gsScope="undefined"!==typeof module&&module.exports&&"undefined"!==typeof global?global:this||window;
(_gsScope._gsQueue||(_gsScope._gsQueue=[])).push(function(){_gsScope._gsDefine("easing.Back",["easing.Ease"],function(l){var w=_gsScope.GreenSockGlobals||_gsScope,x=2*Math.PI,y=Math.PI/2,g=w.com.greensock._class,e=function(a,b){var d=g("easing."+a,function(){},!0),c=d.prototype=new l;c.constructor=d;c.getRatio=b;return d},u=l.register||function(){},m=function(a,b,d,c,p){b=g("easing."+a,{easeOut:new b,easeIn:new d,easeInOut:new c},!0);u(b,a);return b},v=function(a,b,d){this.t=a;this.v=b;d&&(this.next=
d,d.prev=this,this.c=d.v-b,this.gap=d.t-a)},t=function(a,b){var d=g("easing."+a,function(a){this._p1=a||0===a?a:1.70158;this._p2=1.525*this._p1},!0),c=d.prototype=new l;c.constructor=d;c.getRatio=b;c.config=function(a){return new d(a)};return d},t=m("Back",t("BackOut",function(a){return--a*a*((this._p1+1)*a+this._p1)+1}),t("BackIn",function(a){return a*a*((this._p1+1)*a-this._p1)}),t("BackInOut",function(a){return 1>(a*=2)?.5*a*a*((this._p2+1)*a-this._p2):.5*((a-=2)*a*((this._p2+1)*a+this._p2)+2)})),
q=g("easing.SlowMo",function(a,b,d){null==a?a=.7:1<a&&(a=1);this._p=1!==a?b||0===b?b:.7:0;this._p1=(1-a)/2;this._p2=a;this._p3=this._p1+this._p2;this._calcEnd=!0===d},!0),c=q.prototype=new l,r,n;c.constructor=q;c.getRatio=function(a){var b=a+(.5-a)*this._p;return a<this._p1?this._calcEnd?1-(a=1-a/this._p1)*a:b-(a=1-a/this._p1)*a*a*a*b:a>this._p3?this._calcEnd?1-(a=(a-this._p3)/this._p1)*a:b+(a-b)*(a=(a-this._p3)/this._p1)*a*a*a:this._calcEnd?1:b};q.ease=new q(.7,.7);c.config=q.config=function(a,b,
d){return new q(a,b,d)};r=g("easing.SteppedEase",function(a){a=a||1;this._p1=1/a;this._p2=a+1},!0);c=r.prototype=new l;c.constructor=r;c.getRatio=function(a){0>a?a=0:1<=a&&(a=.999999999);return(this._p2*a>>0)*this._p1};c.config=r.config=function(a){return new r(a)};n=g("easing.RoughEase",function(a){a=a||{};var b=a.taper||"none",d=[],c=0,p=(a.points||20)|0,e=p,g=!1!==a.randomize,n=!0===a.clamp,m=a.template instanceof l?a.template:null;a="number"===typeof a.strength?.4*a.strength:.4;for(var h,k,f;-1<
--e;)h=g?Math.random():1/p*e,k=m?m.getRatio(h):h,"none"===b?f=a:"out"===b?(f=1-h,f=f*f*a):"in"===b?f=h*h*a:(f=.5>h?2*h:2*(1-h),f=f*f*.5*a),k=g?k+(Math.random()*f-.5*f):e%2?k+.5*f:k-.5*f,n&&(1<k?k=1:0>k&&(k=0)),d[c++]={x:h,y:k};d.sort(function(a,b){return a.x-b.x});b=new v(1,1,null);for(e=p;-1<--e;)p=d[e],b=new v(p.x,p.y,b);this._prev=new v(0,0,0!==b.t?b:b.next)},!0);c=n.prototype=new l;c.constructor=n;c.getRatio=function(a){var b=this._prev;if(a>b.t){for(;b.next&&a>=b.t;)b=b.next;b=b.prev}else for(;b.prev&&
a<=b.t;)b=b.prev;this._prev=b;return b.v+(a-b.t)/b.gap*b.c};c.config=function(a){return new n(a)};n.ease=new n;m("Bounce",e("BounceOut",function(a){return a<1/2.75?7.5625*a*a:a<2/2.75?7.5625*(a-=1.5/2.75)*a+.75:a<2.5/2.75?7.5625*(a-=2.25/2.75)*a+.9375:7.5625*(a-=2.625/2.75)*a+.984375}),e("BounceIn",function(a){return(a=1-a)<1/2.75?1-7.5625*a*a:a<2/2.75?1-(7.5625*(a-=1.5/2.75)*a+.75):a<2.5/2.75?1-(7.5625*(a-=2.25/2.75)*a+.9375):1-(7.5625*(a-=2.625/2.75)*a+.984375)}),e("BounceInOut",function(a){var b=
.5>a;a=b?1-2*a:2*a-1;a=a<1/2.75?7.5625*a*a:a<2/2.75?7.5625*(a-=1.5/2.75)*a+.75:a<2.5/2.75?7.5625*(a-=2.25/2.75)*a+.9375:7.5625*(a-=2.625/2.75)*a+.984375;return b?.5*(1-a):.5*a+.5}));m("Circ",e("CircOut",function(a){return Math.sqrt(1- --a*a)}),e("CircIn",function(a){return-(Math.sqrt(1-a*a)-1)}),e("CircInOut",function(a){return 1>(a*=2)?-.5*(Math.sqrt(1-a*a)-1):.5*(Math.sqrt(1-(a-=2)*a)+1)}));c=function(a,b,c){var e=g("easing."+a,function(a,b){this._p1=1<=a?a:1;this._p2=(b||c)/(1>a?a:1);this._p3=
this._p2/x*(Math.asin(1/this._p1)||0);this._p2=x/this._p2},!0);a=e.prototype=new l;a.constructor=e;a.getRatio=b;a.config=function(a,b){return new e(a,b)};return e};m("Elastic",c("ElasticOut",function(a){return this._p1*Math.pow(2,-10*a)*Math.sin((a-this._p3)*this._p2)+1},.3),c("ElasticIn",function(a){return-(this._p1*Math.pow(2,10*--a)*Math.sin((a-this._p3)*this._p2))},.3),c("ElasticInOut",function(a){return 1>(a*=2)?-.5*this._p1*Math.pow(2,10*--a)*Math.sin((a-this._p3)*this._p2):this._p1*Math.pow(2,
-10*--a)*Math.sin((a-this._p3)*this._p2)*.5+1},.45));m("Expo",e("ExpoOut",function(a){return 1-Math.pow(2,-10*a)}),e("ExpoIn",function(a){return Math.pow(2,10*(a-1))-.001}),e("ExpoInOut",function(a){return 1>(a*=2)?.5*Math.pow(2,10*(a-1)):.5*(2-Math.pow(2,-10*(a-1)))}));m("Sine",e("SineOut",function(a){return Math.sin(a*y)}),e("SineIn",function(a){return-Math.cos(a*y)+1}),e("SineInOut",function(a){return-.5*(Math.cos(Math.PI*a)-1)}));g("easing.EaseLookup",{find:function(a){return l.map[a]}},!0);u(w.SlowMo,
"SlowMo","ease,");u(n,"RoughEase","ease,");u(r,"SteppedEase","ease,");return t},!0)});_gsScope._gsDefine&&_gsScope._gsQueue.pop()();